import request from '@/utils/request'

// 查询cad图纸列表
export function listCad(query) {
  return request({
    url: '/gas/cad/list',
    method: 'get',
    params: query
  })
}

// 查询cad图纸详细
export function getCad(id) {
  return request({
    url: '/gas/cad/' + id,
    method: 'get'
  })
}

// 新增cad图纸
export function addCad(data) {
  return request({
    url: '/gas/cad',
    method: 'post',
    data: data
  })
}

// 修改cad图纸
export function updateCad(data) {
  return request({
    url: '/gas/cad',
    method: 'put',
    data: data
  })
}

// 删除cad图纸
export function delCad(id) {
  return request({
    url: '/gas/cad/' + id,
    method: 'delete'
  })
}
